Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface LibraryUserSelectionComponent

All Superinterfaces:
  Document, Editable, EditableItem, EditableLibraryComponent, Hierarchical, Item, LibraryComponent, Localized, WCMApiObject, WorkflowedDocument

    public interface LibraryUserSelectionComponent

extends EditableLibraryComponent

Represents a UserSelection component.

A `LibraryUserSelectionComponent` is a `LibraryComponent` and must be stored as a separate entity in the repository.

A `LibraryUserSelectionComponent` can contain array of `java.security.Principal` values. This interface provides methods to retrieve and set the array of `java.security.Principal` Objects contained within this component.

note: since `v6.0.0`, a `LibraryComponent` is referred to as a `"Component"`in the Authoring UI.``

See Also:
  `LibraryComponent`

Method Summary
`java.lang.String[]` | `getSelectionNames()` Returns the array of selections contained in this component as a `String[]`.
`java.security.Principal[]` | `getSelections()` Returns the array of Principals contained in this component as a `Principal[]`.
`void` | `setSelectionNames(java.lang.String[] selections)` Sets the Selections contained in this `UserSelectionComponent`.
`void` | `setSelections(java.security.Principal[] selections)` Sets the Principal[] contained in this `UserSelectionComponent`.

Methods inherited from interface com.ibm.workplace.wcm.api.Hierarchical
`getParentId`

Methods inherited from interface com.ibm.workplace.wcm.api.Editable
`addAuthors, addContributorAccessMembers, addDeleteAccessMembers, addEditAccessMembers, addEditorAccessMembers, addHistoryLogEntry, addLiveAccessMembers, addManagerAccessMembers, addMembersForAccess, addOwners, addReadAccessMembers, addUserAccessMembers, isChanged, removeAuthors, removeContributorAccessMembers, removeDeleteAccessMembers, removeEditAccessMembers, removeEditorAccessMembers, removeLiveAccessMembers, removeManagerAccessMembers, removeMembersForAccess, removeOwners, removeReadAccessMembers, removeUserAccessMembers, setContributorAccessInheritance, setDescriptionTextProviderKey, setDescriptionTextProviderName, setEditorAccessInheritance, setInheritance, setManagerAccessInheritance, setPropagation, setTitleTextProviderKey, setTitleTextProviderName, setUserAccessInheritance`

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Methods inherited from interface com.ibm.workplace.wcm.api.EditableItem
`setDescription, setName, setTitle`

Methods inherited from interface com.ibm.workplace.wcm.api.WorkflowedDocument
`addAdditionalViewers, addApprovers, approve, cancelDraftDocument, clearApprovers, createDraftDocument, decline, decline, getAdditionalViewers, getCurrentApprovers, getDateEnteredStage, getEffectiveDate, getExpiryDate, getGeneralDateOne, getGeneralDateTwo, getPendingWorkflowStatus, getPublishedDate, getPublishedId, getWorkflowId, getWorkflowStageId, getWorkflowStatus, hasApproverAccess, hasApproverAccess, hasDraft, isDraft, isDraftOfPublishedDocument, isExpired, isPublished, isWorkflowMovingBackward, nextWorkflowStage, nextWorkflowStage, nextWorkflowStage, previousWorkflowStage, previousWorkflowStage, removeAdditionalViewers, removeApprovers, restartWorkflow, setEffectiveDate, setExpiryDate, setGeneralDateOne, setGeneralDateTwo, setWorkflowId, setWorkflowId`

Method Detail

### getSelections

    java.security.Principal[] getSelections()

  Returns the array of Principals contained in this component as a `Principal[]`.

  Returns `null` if the values is not set.

  Returns:
    the Principal[]

### setSelections

    void setSelections(java.security.Principal[] selections)
                       throws OperationFailedException

  Sets the Principal[] contained in this `UserSelectionComponent`.

  Note. This method replaces any existing Principal[] in this component.

  Parameters:
    `selections` - the Principal[]
  Throws:
    `OperationFailedException` - if the Principal[] argument is `null` or the selections could not be set

### getSelectionNames

    java.lang.String[] getSelectionNames()

  Returns the array of selections contained in this component as a `String[]`. The selection names will be the DN of each selection if Workspace.isDistinguishedNamesUsed() is set.

  Returns `null` if the values is not set.

  Returns:
    the String[]

### setSelectionNames

    void setSelectionNames(java.lang.String[] selections)
                           throws OperationFailedException

  Sets the Selections contained in this `UserSelectionComponent`. The selection names will be the DN of each selection if Workspace.isDistinguishedNamesUsed() is set.

  Note. This method replaces any existing Selections in this component.

  Parameters:
    `selections` - the String[] values of the selections
  Throws:
    `OperationFailedException` - if the String[] argument is `null` or the selections could not be set

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD